## dieharder 3.31.1.1

=== debian/changelog ===
dieharder (3.31.1.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:38:16 +0100

dieharder (3.31.1.1-1) unstable; urgency=medium

  * New upstream minor release as we are in a funny spot as this is now effectively
    upstream with Robert being somewhat in active

  * configure.ac: Apply patch to simplify and generalize endianness
    testing, with a big thank you to Helmut Grohne	(Closes: #946774)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Dec 2019 08:54:48 -0600

## dieharder 3.31.1.2

=== debian/changelog ===
dieharder (3.31.1.2-1build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:28:35 +0000

dieharder (3.31.1.2-1) unstable; urgency=medium

  * New upstream minor release accomodating gcc-10 and its treatment of
    multiple definitions of global variables		(Closes: #957134)

  * Based on new 'upstream' git repo at github.com/eddelbuettel/dieharder
    which spawned off the salsa.debian.org repo for this package

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Jul 2020 12:36:49 -0500

=== debian/control ===
Source: dieharder
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.4.0
Build-Depends: debhelper (>= 10), libgsl-dev, automake, libtool, ghostscript, texlive-base, texlive-latex-base, texlive-plain-generic
Vcs-Browser: https://salsa.debian.org/edd/dieharder
Vcs-Git: https://salsa.debian.org/edd/dieharder.git
Homepage: http://webhome.phy.duke.edu/~rgb/General/dieharder.php

Package: dieharder
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description:  Random-number generator test front-end
 dieharder is a fairly involved random number/uniform deviate generator
 tester.  It can either test any of its many prebuilt and linked
 generators (basically all of those in the GNU Scientific Library plus
 any others I've been able to find) or a potentially random dataset in a
 file.  With file input, it can test either N-bit bitstrings (with N user
 specifiable) or (double precision) floating point numbers in the range
 [0.0,1.0) (uniform deviates).  It is thus suitable for use in testing
 both software RNG's and hardware RNG's.
 .
 This package provides the command-line frontend.

Package: libdieharder3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description:  Random-number generator test library
 libdieharder is the core library of dieharder and friends, designed to
 be "the last suite of random number testers you'll ever wear".  It can
 test any of its many prebuilt and library linked generators (basically
 all of those in the GNU Scientific Library plus a number of others from
 various sources) or a potentially random dataset in either an
 ascii-formatted or raw (presumed 32 bit uint) binary file.  It is fairly
 straightforward to wrap new software generators for testing, or to add
 hardware generators that have a software interface for testing, and the
 file input method permits pretty much any software or hardware RNG to be
 tested using libdieharder calls.
 .
 libdieharder has as a design goal the full encapsulation in an
 extensible shell of basically all the random number tests I have been
 able to find -- George Marsaglia's "diehard" battery of tests, STS
 (v1.6) from NIST FIPS, Knuth's tests, and more.  Check in the man
 page(s) or /usr/share/dieharder*/dieharder.pdf for documentation.
 .
 This package provides the shared library.

Package: libdieharder-dev
Architecture: any
Depends: ${misc:Depends}, libdieharder3 (= ${binary:Version}), libgsl-dev
Section: libdevel
Replaces: libdieharder2 (<= 2.28.1-3)
Description:  Random-number generator test library -- development package
 libdieharder is the core library of dieharder and friends, designed to
 be "the last suite of random number testers you'll ever wear".  It can
 test any of its many prebuilt and library linked generators (basically
 all of those in the GNU Scientific Library plus a number of others from
 various sources) or a potentially random dataset in either an
 ascii-formatted or raw (presumed 32 bit uint) binary file.  It is fairly
 straightforward to wrap new software generators for testing, or to add
 hardware generators that have a software interface for testing, and the
 file input method permits pretty much any software or hardware RNG to be
 tested using libdieharder calls.
 .
 libdieharder has as a design goal the full encapsulation in an
 extensible shell of basically all the random number tests I have been
 able to find -- George Marsaglia's "diehard" battery of tests, STS
 (v1.6) from NIST FIPS, Knuth's tests, and more.  Check in the man
 page(s) or /usr/share/dieharder*/dieharder.pdf for documentation.
 .
 This package provides the header files and the pdf manual.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux dieharder package
# Copyright 2007 - 2019  Dirk Eddelbuettel <edd@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# For autoconf 2.52 and newer only
CONFFLAGS =
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

DEBUGFLAGS=-g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	DEBUGFLAGS += -O0
else
	DEBUGFLAGS += -O3
ifeq ($(arch),m68k)
	DEBUGFLAGS += -O0
endif
endif



# edd 18 Nov 2006:  add -fexceptions, but don't use -O3 as
#                   'make check' as gcc hangs in cblas/ after test_ger.c
# edd 27 Dec 2015:  add dpkg-buildflags as well
CFLAGS	   :=-Wall -pipe -fexceptions -D_REENTRANT $(DEBUGFLAGS) $(shell dpkg-buildflags --get CFLAGS)
# edd 29 Sep 2005   alpha needs -mieee with gcc 4.0
ifeq ($(arch),alpha)
CFLAGS	+= -mieee
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	dh_testdir

	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .
	rm -f config.cache
        #./autogen.sh
	autoreconf -ifv

	./configure 	CFLAGS="$(CFLAGS)" 		\
			--prefix=/usr 			\
			$(CONFFLAGS)

        # patch libtool re rpath (see lintian docu)
	sed < libtool > libtool-2 \
			-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
			-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
	mv libtool-2 libtool
	chmod 755 libtool
        # end libtool rpath patch
	touch configure-stamp

build: configure build-arch build-indep
build-arch: configure-stamp build-stamp
build-indep: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)

        # manually call for manual build
#	(cd manual && make && cd -)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

        # Robert uses a non-standard way of building things; make clean does call
        # configure and fails in the chroot/build unless we run autogen.sh first. Sigh
        # so we fixed this by deleting Makefile from the upstream tarball. Sigh.
	#[ ! -f Makefile ] || $(MAKE) clean distclean

	rm -rf buildroot
	rm -f dieharder.pdf
	rm -f config.guess config.sub config.status

        # extra cleanup in manual/
	rm -vf manual/dieharder.dvi manual/dieharder.pdf

	dh_clean -d

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

#	# Add here commands to install the package into debian/tmp.
#	#$(MAKE) prefix=`pwd`/debian/tmp/usr install
	$(MAKE) prefix=`pwd`/debian/dieharder/usr install

#	(cd debian/dieharder/usr/lib && \
#		ls -l )
#		rm -vf libdieharder.so )
#		ln -s libdieharder.so.2.*.* libdieharder.so.2 && \
#		ln -s libdieharder.so.2 libdieharder.so )

	dh_movefiles --sourcedir=debian/dieharder \
				-plibdieharder3 -plibdieharder-dev

#	install -m 0644 manual/dieharder.pdf \
#		`pwd`/debian/libdieharder-dev/usr/share/doc/libdieharder-dev/

        # cleanups to make lintian happy
	rmdir -v `pwd`/debian/dieharder/usr/share/man/man3 	\
		 `pwd`/debian/dieharder/usr/include/dieharder	\
		 `pwd`/debian/dieharder/usr/include/

        # edd 03 Jun 2011
        # empty dependency_lib in .la files (cf #621199)
	find debian/dieharder/ -name \*.la | \
		xargs perl -p -i -e "s/dependency_libs='.*'/dependency_libs=''/"


# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_lintian
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installman
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
# (Uncomment this next line if you have such packages.)
#	 $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary-common binary install

## dieharder 3.31.1.3

=== debian/changelog ===
dieharder (3.31.1.3-1) unstable; urgency=medium

  * New upstream minor release with
    - bug fix by Milan Broz for 'dieharder -h' segfault	(Closes: #1016688)
    - pull request #1 by Fabrice Fontaine adding static to two inline functions

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed
  * debian/patches/build_setup: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 07 Aug 2022 09:33:23 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: dieharder
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 10), libgsl-dev, automake, libtool, ghostscript, texlive-base, texlive-latex-base, texlive-plain-generic
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 11), libgsl-dev, automake, libtool, ghostscript, texlive-base, texlive-latex-base, texlive-plain-generic
 Vcs-Browser: https://salsa.debian.org/edd/dieharder
 Vcs-Git: https://salsa.debian.org/edd/dieharder.git
 Homepage: http://webhome.phy.duke.edu/~rgb/General/dieharder.php

## dieharder 3.31.1.4

=== Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# manual/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/dieharder
pkgincludedir = $(includedir)/dieharder
pkglibdir = $(libdir)/dieharder
pkglibexecdir = $(libexecdir)/dieharder
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = manual
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = macros.tex
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/macros.tex.in \
	$(top_srcdir)/mkinstalldirs
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = /bin/bash ./missing --run aclocal
ACLOCAL_AMFLAGS = -I m4
ACTAR = /bin/bash ./missing --run tar
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = /bin/bash ./missing --run autoconf;echo "Run ./configure";exit
AUTOHEADER = /bin/bash ./missing --run autoheader
AUTOMAKE = /bin/bash ./missing --run automake --add-missing --copy --gnu
AWK = gawk
CC = ccache gcc-10
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = ccache gcc-10 -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DIEHARDER_CFLAGS = -I${prefix}/include
DIEHARDER_LIBS = -L${exec_prefix}/lib -ldieharder
DIEHARDER_LIB_VERSION = 3.31.1
DIEHARDER_LT_VERSION = 3:31:1
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = -lgsl -lgslcblas 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LIPO = 
LITTLE_ENDIAN = 1
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /home/edd/git/dieharder/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = dieharder
PACKAGE_BUGREPORT = 
PACKAGE_NAME = dieharder
PACKAGE_STRING = dieharder 3.31.1
PACKAGE_TARNAME = dieharder
PACKAGE_URL = 
PACKAGE_VERSION = 3.31.1
PATH_SEPARATOR = :
RANLIB = ranlib
RELEASE = 1
RELEASED = 
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 0.1
abs_builddir = /home/edd/git/dieharder/manual
abs_srcdir = /home/edd/git/dieharder/manual
abs_top_builddir = /home/edd/git/dieharder
abs_top_srcdir = /home/edd/git/dieharder
ac_ct_AR = ar
ac_ct_CC = ccache gcc-10
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
dieharder_CFLAGS = -std=c99 -Wall -pedantic -I${prefix}/include
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/edd/git/dieharder/install-sh
libdieharder_lo_CFLAGS = -Wall -pedantic -I${prefix}/include
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
SOURCE = dieharder.tex
SVNTREE = $(HOME)/Src/svn-tree
SVNPATH = $(SVNTREE)/dieharder
SVNTIME = $(HOME/Src/Projects/dieharder/dieharder.svn.time)

# The list of includes are things required for the build to work.  Examples
# might be included .tex or .sty files, embedded .eps files, and so forth.
# Naturally, anything on this list should be in the SVN tree.
# FIGS = $(shell ls *.fig 2>&1 | grep -v "No such file or directory" | sed -e "/\/bin\/ls:/d")
# FEPS = $(FIGS:.fig=.eps)
# INCLUDE = $(FIGS)

# Source(s) and production objects.
SOURCES = $(SOURCE)
LOGS = $(SOURCE:.tex=.log)
TOC = $(SOURCE:.tex=.toc)
AUX = $(SOURCE:.tex=.aux)
ERR = $(SOURCE:.tex=.err)
DVI = $(SOURCE:.tex=.dvi)
PS = $(SOURCE:.tex=.ps)
PDF = $(SOURCE:.tex=.pdf)
A4PS = $(SOURCE:.tex=.a4.ps)
A4PDF = $(SOURCE:.tex=.a4.pdf)
HTMLDIR = $(SOURCE:.tex=)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu manual/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu manual/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
macros.tex: $(top_builddir)/config.status $(srcdir)/macros.tex.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \

=== debian/changelog ===
dieharder (3.31.1.4-1) unstable; urgency=medium

  * New upstream minor release, now sync'ed with 'public' github

  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

  * debian/control: Set our upstream as the homepage, will reference the
    original repo by RGB there

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 21 Dec 2022 07:10:53 -0600

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.6.1
-Build-Depends: debhelper-compat (= 11), libgsl-dev, automake, libtool, ghostscript, texlive-base, texlive-latex-base, texlive-plain-generic
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 12), libgsl-dev, automake, libtool, ghostscript, texlive-base, texlive-latex-base, texlive-plain-generic
 Vcs-Browser: https://salsa.debian.org/edd/dieharder
 Vcs-Git: https://salsa.debian.org/edd/dieharder.git
-Homepage: http://webhome.phy.duke.edu/~rgb/General/dieharder.php
+Homepage: https://github.com/eddelbuettel/dieharder
 
 Package: dieharder
 Architecture: any
